/*
$VER: CheckSystem.rexx 1.0 (12.8.98)
Checks system for anything that will stop D5M2 ARexx examples from working.
*/
options results
lf = '0a'x
if ~show('L','rexxsupport.library') then call addlib('rexxsupport.library',0,-30,0)
if ~exists('DOpus5:') then do
  address command 'requestchoice "ARexx Tutorial" "Directory Opus not installed,'||lf||'''DOpus5:'' not found!" "OK"'
  exit
  end
dp = show('P','DOPUS.1')
if ~dp then do
  address command 'requestchoice "ARexx Tutorial" "The Directory Opus port,'||lf||'''DOPUS.1'' is not available." "OK"'
  exit
  end
address 'DOPUS.1'
if ~exists('DOpus5:Help/DOpusM2_ARexx.guide') then do
  text = 'The main Opus ARexx command guide does'||lf||,
         'not seem to be present on your system:'||lf||,
         '''DOpus5:Help/DOpusM2_ARexx.guide'''||lf||,
         'Do you want to copy it from the CD?'
  dopus request '"'text'" Yes|No'
  if rc = 1 then
    address command 'Copy "DOplus:tutorial/Arexx Guide/DOpusM2_ARexx.guide" DOpus5:Help/'
  else
    dopus request '"ARexx Command references from the tutorial'||lf||,
                   ' will not be available." OK'
  end
if ~exists('DOpus5:Help/DOpus5.guide') then do
  text = 'The main Opus Help guide does not'||lf||,
         'seem to be present on your system:'||lf||,
         '''DOpus5:Help/DOpus5.guide'''||lf||lf||,
         'Do you want to copy it from the distribution?'
  dopus request '"'text'" Yes|No'
  if rc = 1 then do
    text = 'The main Opus Help guide is available'||lf||,
           'from the Opus Magellan-II Install disk'
    dopus request '"'text'" Ok'
    end
  else
    dopus request '"Internal Command references from the tutorial'||lf||,
                   ' may not be available." OK'
 
if ~exists('C:Wait') then do
  text = 'Most of the examples require the'||lf||,
         '''C:Wait'' command.  Yours seems'||lf||,
         'to be missing, please ensure it'||lf||,
         'is available.'
  dopus request '"'text'" OK'
  end
dopus request '"System looks OK :)" OK'
dopus request '"Wait...I think I found a problem..." OK'
dopus request '"It looks like someone has stolen'||lf||'3Megs of RAM..." OK'
dopus request '"Oh, it''s OK, it was only'||lf||'Directory Opus" OK'
exit
